
Redmine - Patch #28168

Allow context-menu edit of % done and priority of parent issues if the fields are not derived

2018-02-09 15:46 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.7   

Description

Following #27533,  r17129 implemented a change to not check anymore whether all selected issues for a context-menu can be

assigned a priority. This change however is incorrect and incomplete unfortunately.

The check to disable setting of the priority (and similarly but missed in #27533: setting the % done field) was originally done in the

view there since originally, the priority and %done fields were always derived from child issues. That is, parent issues always had the

highest priority of any of their child issues and a average % done. Later, Redmine gained the ability to configure whether the priority

and % done fields should be derived on parent issues or should be settable on their own.

The patch, as it was comitted in r17129 unfortunately fails to check whether the priority field can indeed not be set because the

priority field is derived). In that case, the context-menu options should still be disabled. In any case, the same issue also is present

for the % done field and is there still unhandled completely.

The attached patch against current trunk (at r17192) fixes and unifies the behavior for both fields.

Related issues:

Related to Redmine - Defect #27533: Cannot change the priority of the parent ... Closed

Associated revisions

Revision 17204 - 2018-02-18 13:08 - Go MAEDA

Allow context-menu edit of % done and priority of parent issues if the fields are not derived (#28168).

Patch by Holger Just.

Revision 17205 - 2018-02-18 13:25 - Go MAEDA

Merged r17204 from trunk to 3.4-stable (#28168).

Revision 17206 - 2018-02-18 13:27 - Go MAEDA

Merged r17204 from trunk to 3.3-stable (#28168).

History

#1 - 2018-02-12 08:23 - Go MAEDA

- Related to Defect #27533: Cannot change the priority of the parent issue in issue query context menu when parent priority is independent of children

added

#2 - 2018-02-18 10:01 - Go MAEDA

- Target version set to 3.3.7

#3 - 2018-02-18 13:34 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.

Thank you for fixing this issue.
